Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class HumanTaskNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.factory.NodeFactory
          org.jbpm.ruleflow.core.factory.HumanTaskNodeFactory

    public class HumanTaskNodeFactory

extends NodeFactory

Field Summary

Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`nodeContainerFactory`

Constructor Summary
`HumanTaskNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`HumanTaskNodeFactory` | `actorId(String actorId)`
`HumanTaskNodeFactory` | `comment(String comment)`
`HumanTaskNodeFactory` | `content(String content)`
`protected Node` | `createNode()`
`protected HumanTaskNode` | `getHumanTaskNode()`
`HumanTaskNodeFactory` | `inMapping(String parameterName, String variableName)`
`HumanTaskNodeFactory` | `name(String name)`
`HumanTaskNodeFactory` | `onEntryAction(String dialect, String action)`
`HumanTaskNodeFactory` | `onExitAction(String dialect, String action)`
`HumanTaskNodeFactory` | `outMapping(String parameterName, String variableName)`
`HumanTaskNodeFactory` | `priority(String priority)`
`HumanTaskNodeFactory` | `skippable(boolean skippable)`
`HumanTaskNodeFactory` | `swimlane(String swimlane)`
`HumanTaskNodeFactory` | `taskName(String taskName)`
`HumanTaskNodeFactory` | `timer(String delay, String period, String dialect, String action)`
`HumanTaskNodeFactory` | `waitForCompletion(boolean waitForCompletion)`

Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory
`done, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanTaskNodeFactory

    public HumanTaskNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                NodeContainer nodeContainer,
                                long id)

Method Detail

### createNode

    protected Node createNode()

  Specified by:
    `createNode` in class `NodeFactory`

### getHumanTaskNode

    protected HumanTaskNode getHumanTaskNode()

### name

    public HumanTaskNodeFactory name(String name)

### taskName

    public HumanTaskNodeFactory taskName(String taskName)

### actorId

    public HumanTaskNodeFactory actorId(String actorId)

### priority

    public HumanTaskNodeFactory priority(String priority)

### comment

    public HumanTaskNodeFactory comment(String comment)

### skippable

    public HumanTaskNodeFactory skippable(boolean skippable)

### content

    public HumanTaskNodeFactory content(String content)

### inMapping

    public HumanTaskNodeFactory inMapping(String parameterName,
                                          String variableName)

### outMapping

    public HumanTaskNodeFactory outMapping(String parameterName,
                                           String variableName)

### waitForCompletion

    public HumanTaskNodeFactory waitForCompletion(boolean waitForCompletion)

### swimlane

    public HumanTaskNodeFactory swimlane(String swimlane)

### onEntryAction

    public HumanTaskNodeFactory onEntryAction(String dialect,
                                              String action)

### onExitAction

    public HumanTaskNodeFactory onExitAction(String dialect,
                                             String action)

### timer

    public HumanTaskNodeFactory timer(String delay,
                                      String period,
                                      String dialect,
                                      String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.